Salvar uma cognição

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/cognition/save

Salva ou atualiza uma cognição do ian da base.

application/json

Body Required

obj

  • appId string
  • appKey string
  • createdAt string(date-time)
  • createdBy string
  • endPoint string
  • id integer(int64)
  • name string
  • password string
  • type string
  • userName string
  • version string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • appId string
    • appKey string
    • createdAt string(date-time)
    • createdBy string
    • endPoint string
    • id integer(int64)
    • name string
    • password string
    • type string
    • userName string
    • version string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/cognition/save
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/cognition/save' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"appId":"string","appKey":"string","createdAt":"2026-05-04T09:42:00Z","createdBy":"string","endPoint":"string","id":42,"name":"string","password":"string","type":"string","userName":"string","version":"string"}'
Request examples
{
  "appId": "string",
  "appKey": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "endPoint": "string",
  "id": 42,
  "name": "string",
  "password": "string",
  "type": "string",
  "userName": "string",
  "version": "string"
}
Response examples (200)
{
  "appId": "string",
  "appKey": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "endPoint": "string",
  "id": 42,
  "name": "string",
  "password": "string",
  "type": "string",
  "userName": "string",
  "version": "string"
}